> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Prices (batch)

POST https://api.bigcommerce.com/stores/{store_hash}/v3/pricing/products
Content-Type: application/json

Calculate batch pricing for products for a specific channel, currency, and customer group.

The rounded prices in this endpoint's response will align with the currency's decimal precision as defined in the [currency](https://support.bigcommerce.com/s/article/Managing-Currencies?language=en_US#add) settings page.

**Limits**
* Limit of 50 concurrent requests.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/pricing/products/get-prices

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Body (application/json)

This endpoint expects an object.

- `channel_id` (integer, required) — The channel ID that pricing evaluates within. The default BigCommerce storefront is channel 1.
- `currency_code` (string, required) — The currency code of prices this request returns.
- `items` (list of PricingProductsPostRequestBodyContentApplicationJsonSchemaItemsItems, required) — The items for which to fetch prices.
- `country_code` (string, optional) — An ISO 3166-1 alpha-2 shopper's country code representing a country or special geographic area.
- `customer_group_id` (integer, optional) — The customer group ID that's relevant for any customer group pricing, tax values, etc.
- `customer_id` (integer, optional) — The ID of the customer for whom to fetch prices.

## Response

### 200

OK

- `data` (list of PricingProductsPostResponsesContentApplicationJsonSchemaDataItems, optional)
- `meta` (PricingProductsPostResponsesContentApplicationJsonSchemaMeta, optional) — Response metadata.

## Types

### PricingProductsPostRequestBodyContentApplicationJsonSchemaItemsItems

Details/configuration for the product to request a price for.

- `product_id` (integer, optional) — The (required) product ID of the item.
- `variant_id` (double, optional) — The (optional) variant ID of the item.
- `options` (list of PricingProductsPostRequestBodyContentApplicationJsonSchemaItemsItemsOptionsItems, optional) — The option configuration of the product (optional); might be partially configured for estimates.

### PricingProductsPostResponsesContentApplicationJsonSchemaDataItems

You can use the original details of the request to identify the exact product variant and fetch prices.

- `product_id` (integer, optional) — The (required) product ID of the item.
- `variant_id` (integer, optional) — The (optional) variant ID of the item.
- `options` (list of PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsOptionsItems, optional) — The optional product option configuration for this generated price.
- `reference_request` (ReferenceRequest, optional) — You can use the original details of the request to identify the exact product variant and fetch prices.
- `retail_price` (PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsRetailPrice, optional) — The (optional) RRP/retail price configured for this product and used for price comparison and storefront display purposes.
- `sale_price` (PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsSalePrice, optional) — The merchant-entered sale price for a product overwrites the default price. The `sale_price` is optional.
- `minimum_advertised_price` (PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsMinimumAdvertisedPrice, optional) — The minimum advertised price (MAP) you can display on a storefront. A value supplied by the merchant and used for display purposes.
- `saved` (PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsSaved, optional) — The amount that merchants save, determined by the difference between `retail_price` and `calculated_price`.
- `price` (PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsPrice, optional) — The merchant-entered price for a product, which could include or exclude tax. When creating a product, you must define the price, which serves as the default price.
- `calculated_price` (PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsCalculatedPrice, optional) — The shopper price for a product, which includes modifier, option, and option set rules. The `calculated_price` may include or exclude estimates for tax.
- `price_range` (PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsPriceRange, optional) — The minimum and maximum price that will typically apply to this product. Only used for complex products (products with variants).
- `retail_price_range` (PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsRetailPriceRange, optional) — The productʼs variants that will typically apply to this product.
- `bulk_pricing` (list of BulkPricingTier, optional)

### PricingProductsPostResponsesContentApplicationJsonSchemaMeta

Response metadata.

### PricingProductsPostRequestBodyContentApplicationJsonSchemaItemsItemsOptionsItems

- `option_id` (integer, optional) — The ID of the variant option or modifier option that is being configured for this product.
- `value_id` (integer, optional) — The ID of the value matching the option that's being configured. **Note:*** This must be the ID, not the value.

### PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsOptionsItems

- `option_id` (integer, optional) — The ID of the variant option or modifier option configured for this price.
- `value_id` (integer, optional) — The selected value ID for the configured option.

### ReferenceRequest

You can use the original details of the request to identify the exact product variant and fetch prices.

- `product_id` (integer, optional) — The (required) product ID of the item.
- `variant_id` (integer, optional) — The (optional) variant ID of the item.
- `options` (list of ReferenceRequestOptionsItems, optional) — The optional product option configuration for this generated price.

### PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsRetailPrice

The (optional) RRP/retail price configured for this product and used for price comparison and storefront display purposes.

- `as_entered` (double, optional) — The price provided by the merchant, as entered in their catalog/price list; may include or exclude tax.
- `entered_inclusive` (boolean, optional) — Determines whether the `as_entered` price is inclusive or exclusive of tax, based on the store's tax jurisdiction.
- `tax_exclusive` (double, optional) — The estimated tax-exclusive price for this product based on the provided customer group.
- `tax_inclusive` (double, optional) — The estimated tax-inclusive price for this product based on the provided customer group.

### PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsSalePrice

The merchant-entered sale price for a product overwrites the default price. The `sale_price` is optional.

- `as_entered` (double, optional) — The price provided by the merchant, as entered in their catalog/price list; may include or exclude tax.
- `entered_inclusive` (boolean, optional) — Determines whether the `as_entered` price is inclusive or exclusive of tax, based on the store's tax jurisdiction.
- `tax_exclusive` (double, optional) — The estimated tax-exclusive price for this product based on the provided customer group.
- `tax_inclusive` (double, optional) — The estimated tax-inclusive price for this product based on the provided customer group.

### PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsMinimumAdvertisedPrice

The minimum advertised price (MAP) you can display on a storefront. A value supplied by the merchant and used for display purposes.

- `as_entered` (double, optional) — The price provided by the merchant, as entered in their catalog/price list; may include or exclude tax.
- `entered_inclusive` (boolean, optional) — Determines whether the `as_entered` price is inclusive or exclusive of tax, based on the store's tax jurisdiction.
- `tax_exclusive` (double, optional) — The estimated tax-exclusive price for this product based on the provided customer group.
- `tax_inclusive` (double, optional) — The estimated tax-inclusive price for this product based on the provided customer group.

### PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsSaved

The amount that merchants save, determined by the difference between `retail_price` and `calculated_price`.

- `as_entered` (double, optional) — The price provided by the merchant, as entered in their catalog/price list; may include or exclude tax.
- `entered_inclusive` (boolean, optional) — Determines whether the `as_entered` price is inclusive or exclusive of tax, based on the store's tax jurisdiction.
- `tax_exclusive` (double, optional) — The estimated tax-exclusive price for this product based on the provided customer group.
- `tax_inclusive` (double, optional) — The estimated tax-inclusive price for this product based on the provided customer group.

### PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsPrice

The merchant-entered price for a product, which could include or exclude tax. When creating a product, you must define the price, which serves as the default price.

- `as_entered` (double, optional) — The price provided by the merchant, as entered in their catalog/price list; may include or exclude tax.
- `entered_inclusive` (boolean, optional) — Determines whether the `as_entered` price is inclusive or exclusive of tax, based on the store's tax jurisdiction.
- `tax_exclusive` (double, optional) — The estimated tax-exclusive price for this product based on the provided customer group.
- `tax_inclusive` (double, optional) — The estimated tax-inclusive price for this product based on the provided customer group.

### PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsCalculatedPrice

The shopper price for a product, which includes modifier, option, and option set rules. The `calculated_price` may include or exclude estimates for tax.

- `as_entered` (double, optional) — The price provided by the merchant, as entered in their catalog/price list; may include or exclude tax.
- `entered_inclusive` (boolean, optional) — Determines whether the `as_entered` price is inclusive or exclusive of tax, based on the store's tax jurisdiction.
- `tax_exclusive` (double, optional) — The estimated tax-exclusive price for this product based on the provided customer group.
- `tax_inclusive` (double, optional) — The estimated tax-inclusive price for this product based on the provided customer group.

### PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsPriceRange

The minimum and maximum price that will typically apply to this product. Only used for complex products (products with variants).

- `minimum` (PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsPriceRangeMinimum, optional) — The price for a product, including estimates for tax.
- `maximum` (PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsPriceRangeMaximum, optional) — The price for a product, including estimates for tax.

### PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsRetailPriceRange

The productʼs variants that will typically apply to this product.

- `minimum` (PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsRetailPriceRangeMinimum, optional) — The price for a product, including estimates for tax.
- `maximum` (PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsRetailPriceRangeMaximum, optional) — The price for a product, including estimates for tax.

### BulkPricingTier

- `minimum` (integer, optional) — The minimum quantity required to trigger this bulk pricing discount.
- `maximum` (integer, optional) — The maximum quantity (or 0 for unlimited) to trigger this bulk pricing discount.
- `discount_amount` (double, optional)
- `discount_type` (enum, optional)
  - Allowed values: `price`, `percent`, `fixed`
- `tax_discount_amount` (list of BulkPricingTierTaxDiscountAmountItems, optional) — Formats the `bulk_pricing.discount_amount` into the tax price amounts.

### ReferenceRequestOptionsItems

- `option_id` (integer, optional) — The ID of the variant option or modifier option configured for this price.
- `value_id` (integer, optional) — The selected value ID for the configured option.

### PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsPriceRangeMinimum

The price for a product, including estimates for tax.

- `as_entered` (double, optional) — The price provided by the merchant, as entered in their catalog/price list; may include or exclude tax.
- `entered_inclusive` (boolean, optional) — Determines whether the `as_entered` price is inclusive or exclusive of tax, based on the store's tax jurisdiction.
- `tax_exclusive` (double, optional) — The estimated tax-exclusive price for this product based on the provided customer group.
- `tax_inclusive` (double, optional) — The estimated tax-inclusive price for this product based on the provided customer group.

### PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsPriceRangeMaximum

The price for a product, including estimates for tax.

- `as_entered` (double, optional) — The price provided by the merchant, as entered in their catalog/price list; may include or exclude tax.
- `entered_inclusive` (boolean, optional) — Determines whether the `as_entered` price is inclusive or exclusive of tax, based on the store's tax jurisdiction.
- `tax_exclusive` (double, optional) — The estimated tax-exclusive price for this product based on the provided customer group.
- `tax_inclusive` (double, optional) — The estimated tax-inclusive price for this product based on the provided customer group.

### PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsRetailPriceRangeMinimum

The price for a product, including estimates for tax.

- `as_entered` (double, optional) — The price provided by the merchant, as entered in their catalog/price list; may include or exclude tax.
- `entered_inclusive` (boolean, optional) — Determines whether the `as_entered` price is inclusive or exclusive of tax, based on the store's tax jurisdiction.
- `tax_exclusive` (double, optional) — The estimated tax-exclusive price for this product based on the provided customer group.
- `tax_inclusive` (double, optional) — The estimated tax-inclusive price for this product based on the provided customer group.

### PricingProductsPostResponsesContentApplicationJsonSchemaDataItemsRetailPriceRangeMaximum

The price for a product, including estimates for tax.

- `as_entered` (double, optional) — The price provided by the merchant, as entered in their catalog/price list; may include or exclude tax.
- `entered_inclusive` (boolean, optional) — Determines whether the `as_entered` price is inclusive or exclusive of tax, based on the store's tax jurisdiction.
- `tax_exclusive` (double, optional) — The estimated tax-exclusive price for this product based on the provided customer group.
- `tax_inclusive` (double, optional) — The estimated tax-inclusive price for this product based on the provided customer group.

### BulkPricingTierTaxDiscountAmountItems

- `as_entered` (double, optional) — The price provided by the merchant, as entered in their catalog/price list; may include or exclude tax.
- `tax_inclusive` (double, optional) — The estimated tax-inclusive price for this product based on the provided customer group.
- `tax_exclusive` (double, optional) — The estimated tax-exclusive price for this product based on the provided customer group.
- `entered_inclusive` (boolean, optional) — Determines whether the 'as_entered' price is inclusive or exclusive of tax based on the store's tax jurisdiction.

## Examples

**Request**

```json
{
  "channel_id": 1,
  "currency_code": "USD",
  "items": [
    {}
  ]
}
```

**Response**

```json
{
  "data": [
    {
      "product_id": 1,
      "variant_id": 1,
      "options": [
        {
          "option_id": 1,
          "value_id": 1
        }
      ],
      "reference_request": {
        "product_id": 1,
        "variant_id": 1,
        "options": [
          {
            "option_id": 1,
            "value_id": 1
          }
        ]
      },
      "retail_price": {
        "as_entered": 1.5,
        "entered_inclusive": true,
        "tax_exclusive": 1.1,
        "tax_inclusive": 1.5
      },
      "sale_price": {
        "as_entered": 1.5,
        "entered_inclusive": true,
        "tax_exclusive": 1.1,
        "tax_inclusive": 1.5
      },
      "minimum_advertised_price": {
        "as_entered": 1.5,
        "entered_inclusive": true,
        "tax_exclusive": 1.1,
        "tax_inclusive": 1.5
      },
      "saved": {
        "as_entered": 1.5,
        "entered_inclusive": true,
        "tax_exclusive": 1.1,
        "tax_inclusive": 1.5
      },
      "price": {
        "as_entered": 1.5,
        "entered_inclusive": true,
        "tax_exclusive": 1.1,
        "tax_inclusive": 1.5
      },
      "calculated_price": {
        "as_entered": 1.5,
        "entered_inclusive": true,
        "tax_exclusive": 1.1,
        "tax_inclusive": 1.5
      },
      "price_range": {
        "minimum": {
          "as_entered": 1.5,
          "entered_inclusive": true,
          "tax_exclusive": 1.1,
          "tax_inclusive": 1.5
        },
        "maximum": {
          "as_entered": 1.5,
          "entered_inclusive": true,
          "tax_exclusive": 1.1,
          "tax_inclusive": 1.5
        }
      },
      "retail_price_range": {
        "minimum": {
          "as_entered": 1.5,
          "entered_inclusive": true,
          "tax_exclusive": 1.1,
          "tax_inclusive": 1.5
        },
        "maximum": {
          "as_entered": 1.5,
          "entered_inclusive": true,
          "tax_exclusive": 1.1,
          "tax_inclusive": 1.5
        }
      },
      "bulk_pricing": [
        {
          "minimum": 1,
          "maximum": 1,
          "discount_amount": 1,
          "discount_type": "percent",
          "tax_discount_amount": [
            {
              "as_entered": 10,
              "tax_inclusive": 10,
              "tax_exclusive": 10,
              "entered_inclusive": false
            }
          ]
        }
      ]
    }
  ],
  "meta": {}
}
```

**SDK Code**

```python Response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/pricing/products"

payload = {
    "channel_id": 1,
    "currency_code": "USD",
    "items": [{}]
}
headers = {
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Response
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/pricing/products';
const options = {
  method: 'POST',
  headers: {'X-Auth-Token': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"channel_id":1,"currency_code":"USD","items":[{}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/pricing/products"

	payload := strings.NewReader("{\n  \"channel_id\": 1,\n  \"currency_code\": \"USD\",\n  \"items\": [\n    {}\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/pricing/products")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"channel_id\": 1,\n  \"currency_code\": \"USD\",\n  \"items\": [\n    {}\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.bigcommerce.com/stores/store_hash/v3/pricing/products")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"channel_id\": 1,\n  \"currency_code\": \"USD\",\n  \"items\": [\n    {}\n  ]\n}")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.bigcommerce.com/stores/store_hash/v3/pricing/products', [
  'body' => '{
  "channel_id": 1,
  "currency_code": "USD",
  "items": [
    {}
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/pricing/products");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"channel_id\": 1,\n  \"currency_code\": \"USD\",\n  \"items\": [\n    {}\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = [
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "channel_id": 1,
  "currency_code": "USD",
  "items": [[]]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/pricing/products")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```